@import '../../styles/mixins'
@import '../../styles/variables'

@keyframes lds-dual-ring
    0%
        transform rotate(0deg)
    100%
        transform rotate(360deg)

.manage-cookies
    mt($sp--plus-half)

.cookie_form
    margin-top $sp

    &__field
        mt()

        input
            margin-top $sp--half
            margin-right $sp--half

    .button
        overflow hidden
        margin $sp auto $sp--half
        width $sp * 5
        height $sp--plus-half
        padding $sp--fifth $sp
        box-shadow 1px 1px 5px $cl--gray
        background-color $cl--gray
        font-weight bold

        &:hover
        &:active
            background-color darken($cl--gray, 11%)

        &--saving:after
            content " "
            display block
            width 1rem
            height 1rem
            margin $sp--quarter auto
            border-radius 50%
            border 2px solid $cl--med
            border-color $cl--med transparent $cl--med transparent
            animation lds-dual-ring 1.2s linear infinite

    .animated-check
        height 1rem
        width 1rem
        margin $sp--quarter auto

        path
            fill none
            stroke $cl--med
            stroke-width 4
            stroke-dasharray 23
            animation draw 1s linear forwards
            stroke-linecap round
            stroke-linejoin round
